Get subreddit
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Group",
"id": "https://www.reddit.com/r/programming/",
"url": "https://www.reddit.com/r/programming/",
"name": "programming",
"entityId": "2fwo",
"slug": "programming",
"summary": "Subreddit dedicated to the news and discussions about the creation and use of technology and its surrounding issues.",
"description": "/r/technology is a place to share and discuss the latest developments, happenings and curiosities in the world of technology.",
"guidelines": "Please read the /r/technology sidebar for a list of our rules and guidelines.",
"published": "2008-01-24T17:36:07.000Z",
"isAdult": false,
"isSearchable": true,
"category": "Technology",
"memberCount": 5000000,
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Subreddits
Get subreddit
Returns public subreddit metadata including title, description, icon, banner, and subscriber count.
GET
/
v1
/
reddit
/
subreddits
/
{subreddit}
Get subreddit
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
Subreddit name (with or without r/ prefix)
Example:
"programming"
Response
Returns the subreddit details
Show child attributes
Show child attributes
⌘I